#!/bin/bash

# GMT wrapper script?
gmt=$(which GMT)
 
# allgemeine Angaben fuer GMT
$gmt gmtset HEADER_FONT_SIZE 12p
$gmt gmtset ANOT_FONT_SIZE 8p
$gmt gmtset LABEL_FONT_SIZE 10p
$gmt gmtset GRID_PEN 0.25pta

$gmt psxy real.xy -K -Jx0.5/0.1 -P -R0/30/-50/50 -Sa0.1 -Ba5f1g5:"x [m]":/a25f5g25:"H@-z@-/H@-y@- [%]"::."Modellierung f\374r das Profil 14 mit 20.9 kHz":WNsE -W2p/200/0/0 -Y17> modell.ps
$gmt psxy imag.xy -O -K -Jx -P -R0/30/-50/50 -Sa0.1 -W2p/0/0/200 >> modell.ps
$gmt psxy real-calc.xy -O -K -Jx -P -R0/30/-50/50 -W1p/200/0/0 >> modell.ps
$gmt psxy imag-calc.xy -O -K -Jx -P -R0/30/-50/50 -W1p/0/0/200 >> modell.ps
echo "21 45 10 0 4 BL @~@%34%\110@%%@~ Realteil gemessen"| $gmt pstext -O -K -R -Jx -G200/0/0 -W255/255/255 >> modell.ps
echo "21 40 10 0 4 BL @~@%34%\110@%%@~ Imagin\344rteil gemessen"| $gmt pstext -O -K -R -Jx -G0/0/200 -W255/255/255 >> modell.ps
echo "21 35 10 0 4 BL \225 Realteil berechnet"| $gmt pstext -O -K -R -Jx -G200/0/0 -W255/255/255 >> modell.ps
echo "21 30 10 0 4 BL \225 Imagin\344rteil berechnet"| $gmt pstext -O -K -R -Jx -G0/0/200 -W255/255/255 >> modell.ps
$gmt psbasemap -O -K -Jx0.5/0.5 -P -R0/30/-10/0 -Ba5f1g5:"":/a2f1g5:"z [m]"::.:WNEs -Gp600/11 -Y-6 >> modell.ps
$gmt psxy deckschicht.xy -O -K -Jx -P -R0/30/-10/0 -W1p/10/80/40 -G10/80/40 >> modell.ps
$gmt psxy erzgang.xy -O -K -Jx -P -R0/30/-10/0 -W1p/20/70/200 -G20/70/200 >> modell.ps
$gmt psxy erzgang-klein.xy -O -K -Jx -P -R0/30/-10/0 -W1p/20/70/200 -G20/70/200 >> modell.ps
$gmt psxy platte.xy -O -K -Jx -P -R0/30/-10/0 -W1p/40/20/130 -G40/20/130 >> modell.ps
echo "14 -0.8 12 0 4 BL @%1%180 @~\127\327@~m@%%"| $gmt pstext -O -K -R -Jx -G255/255/255 >> modell.ps
echo "11.5 -4 12 0 4 BL @%1%10 @~\127\327@~m@%%"| $gmt pstext -O -K -R -Jx -G255/255/255 >> modell.ps
echo "3.8 -4.4 12 0 4 BL @%1%10 @~\127\327@~m@%%"| $gmt pstext -O -K -R -Jx -G255/255/255 -E270/90>> modell.ps
echo "21.5 -4.2 12 0 4 BL @%1%60 @~\127\327@~m@%%"| $gmt pstext -O -K -R -Jx -G255/255/255 >> modell.ps
echo "16 -8 12 0 4 BL @%1%5000 @~\127\327@~m@%%"| $gmt pstext -O -R -Jx -G0/0/0 >> modell.ps

